rancher-pre-production:
  stage: pre-production
  extends:
    - .rancher
  environment: pre-production
  variables:
    VERSION: "$CI_COMMIT_TAG"
  only:
    refs:
      - /[0-9]+\.[0-9]+\.[0-9]+/
    variables:
      - $RANCHER_URL && $RANCHER_ACCESS_KEY && $RANCHER_SECRET_KEY && $RANCHER_ENVIRONMENT && $RANCHER_STACK
  except:
    - branches
